package com.srs.comprehensive.service;

import com.srs.comprehensive.domain.CphTerm;
import com.srs.diagnostic.domain.DiaReportRelease;

import java.util.List;

/**
 * 学期Service接口
 * 
 * @author srs
 * @date 2023-08-22
 */
public interface ICphTermService 
{
    /**
     * 查询学期
     *
     * @param id 学期主键
     * @return 学期
     */
    public CphTerm selectCphTermById(Long id);

    /**
     * 查询学期列表
     *
     * @param cphTerm 学期
     * @return 学期集合
     */
    List<CphTerm> selectCphTermList(CphTerm cphTerm);

    /**
     * 新增学期
     *
     * @param cphTerm 学期
     * @return 结果
     */
    int insertCphTerm(CphTerm cphTerm);

    /**
     * 修改学期
     *
     * @param cphTerm 学期
     * @return 结果
     */
    int updateCphTerm(CphTerm cphTerm);

    /**
     * 批量删除学期
     *
     * @param ids 需要删除的学期主键集合
     * @return 结果
     */
    int deleteCphTermByIds(Long[] ids);

    /**
     * 删除学期信息
     *
     * @param id 学期主键
     * @return 结果
     */
    int deleteCphTermById(Long id);

    ///  /**
    ///      * 绑定下拉框
    ///      *
    ///      * @param
    ///      * @return 结果
    ///      */
    public List<CphTerm> xlkterm_name();



}
